# Version SVN: $Id: defaults.yml 190 2015-03-18 22:25:20Z sven.poeche $
defaults:
  transcoding_opensource:
    name:                             'Transcoding OpenSource'
    description:                      ''
    weight:                           -9499
    params:
      transcoding_opensource_quality:
        type:                         set
        value:                        'good'
        set:                          {poor: 'Low quality', normal: 'Normal quality', good: 'Good quality' }
        name:                         'Video conversion'
        description:                  'Choose the quality of video conversion.'
        editable:                     true
        system:                       false
        nullable:                     false
      transcoding_opensource_hd:
        type:                         boolean
        value:                        true
        name:                         'HD transcoding'
        description:                  ''
        editable:                     true
        system:                       true
        nullable:                     false
      transcoding_opensource_use_rotation_detection:
        type:                         boolean
        value:                        false
        name:                         'Use rotation detection algorithm'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      transcoding_opensource_copy_upload:
        type:                         boolean
        value:                        false
        name:                         'Copy from upload'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      transcoding_opensource_save_source:
        type:                         boolean
        value:                        true
        name:                         'Save source files'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      transcoding_opensource_custom_preset:
        type:                         string
        value:                        ~
        name:                         'Custom preset'
        description:                  'https://ffmpeg.org/ffmpeg.html#ffpreset-files'
        editable:                     true
        system:                       false
        nullable:                     true

      transcoding_opensource_width:
        type:                         string
        value:                        720
        name:                         'Width of the converted video stream'
        description:                  'Maximum width of the converted video stream'
        editable:                     true
        system:                       false
        nullable:                     false
      transcoding_opensource_height:
        type:                         string
        value:                        -2
        name:                         'Height of the converted video stream'
        description:                  'Maximum height of the converted video stream (default: -2 = height will be calculated automatically)'
        editable:                     true
        system:                       false
        nullable:                     false
      transcoding_opensource_html5_width:
        type:                         string
        value:                        640
        name:                         'Width of the converted HTML5 video stream'
        description:                  'Maximum width of the converted HTML5 video stream'
        editable:                     true
        system:                       false
        nullable:                     false
      transcoding_opensource_html5_height:
        type:                         string
        value:                        -2
        name:                         'Height of the converted HTML5 video stream'
        description:                  'Maximum height of the converted HTML5 video stream (default: -2 = height will be calculated automatically)'
        editable:                     true
        system:                       false
        nullable:                     false
      transcoding_opensource_threads:
        type:                         integer
        value:                        0
        name:                         'ffmpeg threads'
        description:                  'Number of threads that ffmpeg is supposed to use to transcode into m4v and webm formats (default: @default, 0 = auto).'
        editable:                     true
        system:                       false
        nullable:                     false
      transcoding_opensource_ffmpeg:
        type:                         string
        value:                        ''
        name:                         'ffmpeg path'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      transcoding_opensource_ffprobe:
        type:                         string
        value:                        ''
        name:                         'ffprobe path'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      transcoding_opensource_flvtool2:
        type:                         string
        value:                        ''
        name:                         'flvtool2 path'
        description:                  ''
        editable:                     true
        system:                       true
        nullable:                     false
      transcoding_opensource_exiftool:
        type:                         string
        value:                        ''
        name:                         'exiftool path'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false

      transcoding_opensource_m4v:
        type:                         boolean
        value:                        true
        name:                         'Transcode to mobile MP4 (.m4v)'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      transcoding_opensource_ogv:
        type:                         boolean
        value:                        false
        name:                         'Transcode to Ogg Vorbis Video (.ogv)'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      transcoding_opensource_webm:
        type:                         boolean
        value:                        false
        name:                         'Transcode to WebM (.webm)'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      transcoding_opensource_oga:
        type:                         boolean
        value:                        false
        name:                         'Transcode to Ogg Vorbis Audio (.oga)'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      transcoding_opensource_wav:
        type:                         boolean
        value:                        false
        name:                         'Transcode to PCM Wave Audio (.wav)'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false


